package com.sunxung.factoring.entity.loanmanagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;

/**
 * <p>
 * 付款条件豁免事项跟进附件历史
 * </p>
 *
 * @author liutao
 * @since 2023-04-25
 */
@TableName("exemption_matters_ref_history")
public class ExemptionMattersRefHistory  {

    private static final long serialVersionUID = 1L;

    /**
     * 豁免事项跟进和付款关系表Id
     */
    @TableField("exemption_matters_id")
    private Long exemptionMattersId;

    /**
     * 付款条件ID
     */
    @TableField("payment_condition_id")
    private Long paymentConditionId;

    /**
     * 附件ID
     */
    @TableField("file_id")
    private Long fileId;

    public Long getExemptionMattersId() {
        return exemptionMattersId;
    }

    public void setExemptionMattersId(Long exemptionMattersId) {
        this.exemptionMattersId = exemptionMattersId;
    }

    public Long getPaymentConditionId() {
        return paymentConditionId;
    }

    public void setPaymentConditionId(Long paymentConditionId) {
        this.paymentConditionId = paymentConditionId;
    }
    public Long getFileId() {
        return fileId;
    }

    public void setFileId(Long fileId) {
        this.fileId = fileId;
    }

    @Override
    public String toString() {
        return "ExemptionMattersRefHistory{" +
            "paymentConditionId=" + paymentConditionId +
            ", fileId=" + fileId +
        "}";
    }
}
